Request

Response

    Clash Test
    GET

    containers/:containerId/tests/:testId

    Retrieves a requested clash test based on the clash test ID.

    Returns the requested clash test object.

    Note that this endpoint is compatible with both BIM 360 and Forma projects.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/bim360/clash/v3/containers/:containerId/tests/:testId
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    x-ads-region
    enum: string
    The region to which your request should be routed. If not set, the request is routed automatically but may incur a small latency increase.

    Possible values: US, EMEA. For the full list of supported regions, see the Regions page.

    * Required

    Request

    URI Parameters

    containerId
    string: UUID
    The GUID that uniquely identifies the container.
    testId
    string: UUID
    The GUID that uniquely identifies the clash test.

    Response

    HTTP Status Code Summary

    200
    OK
    Success
    400
    Bad Request
    The parameters of the requested operation are invalid.
    401
    Unauthorized
    The provided bearer token is not valid.
    403
    Forbidden
    The user or service represented by the bearer token does not have permission to perform this operation.
    404
    Not Found
    The requested resource could not be found.
    429
    Too Many Requests
    Rate limit exceeded; wait some time before retrying. The Retry-After header might provide the amount of the time to wait.
    500
    Internal Server Error
    An unknown error occurred on the server.

    Response

    Body Structure (200)

    id
    string: UUID
    The GUID that uniquely identifies the clash test.
    completedOn
    datetime: ISO 8601
    The date and time that the clash test was completed.
    modelSetId
    string: UUID
    The GUID that uniquely identifies the model set associated with the clash test.
    modelSetVersion
    int
    The version number of the model set associated with the clash test.
    status
    enum: string
    The status of the clash test. If the status is Success, the results of the clash test are available for use. Possible values: Pending, Processing, Success, Failed.

    Response

    Body Structure (400)

    Expand all
    type
    string
    The error code.
    title
    string
    A short title for the error.
    detail
    string
    A more detailed, human readable description of the error, assuming that this message is not localized and is therefore EN-US. UI consumers can use the error.type value to provide a localized version of this error for presentation.
    errors
    array: object
    A set of specific validation errors that need to be fixed.
    field
    string
    The field which failed validation.
    title
    string
    A short title for the error.
    detail
    string
    A more detailed, human readable description of the error, assuming that this message is not localized and is therefore EN-US. UI consumers can use the error.type value to provide a localized version of this error for presentation.
    type
    string
    The error code.

    Example

    Request

    curl -v 'https://developer.api.autodesk.com/bim360/clash/v3/containers/f0f4f36a-ac64-687f-b132-8efe04b22454/tests/c40b4498-1baa-405d-4fe9-423514bbbf10' \
         -H 'Authorization: Bearer <token>'
    

    Response (200)

    {
      "id": "74b70bb8-8802-a1fd-f201-890375a60c8f",
      "modelSetId": "00fb28a5-e8a4-2755-562a-7c2f0fc87911",
      "modelSetVersion": 94,
      "status": "Success"
    }
    

    Response (400)

    {
      "type": "BadInput",
      "title": "One or more input values in the request were bad",
      "detail": "The following parameters are invalid: containerId",
      "errors": [
        {
          "field": "containerId",
          "title": "Invalid parameter",
          "detail": "The value 'testing' is not valid.",
          "type": "BadInput"
        }
      ]
    }
    
    Show More